[Hat] 2.05

Malcolm Wallace Malcolm.Wallace at cs.york.ac.uk
Wed Oct 25 07:15:03 EDT 2006

Thomas Davie <tatd2 at kent.ac.uk> wrote:

> Malcolm,
>    I'm trying to build hat with ghc 6.6 - I was under the impression  
> that you'd updated it to be compatible, or am I missing something?

Oops, I forgot to push the very minor changes required into the main
darcs repo.  Sorry!  Pushed now.

> At the moment I've modified the make files to get rid of the -package 
> {base|lang|util} arguments, but I still get errors re PackedString  
> (because it's been replaced with ByteString for non unicode, and  
> String for unicode).

There should be warnings about PackedString, but hopefully no errors.
Maybe your Makefile changes broke something?


More information about the Hat mailing list